Bug 65792 - Install errors out on an array greater than a terabyte
Summary: Install errors out on an array greater than a terabyte
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-31 18:26 UTC by pkisich
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 18:46:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description pkisich 2002-05-31 18:26:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
 
Description:  Install redhat 7.3 on an array greater than a terabyte
The install errors out with 

file "/usr/lib/anaconda/iw/partition-gui.pg" line 108.in.update
totalsectors=float(disk.dev.heads)
Overflow Error : integer multiplication 
 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install RH 7.3 to a bootable array which is greater than 1 TB
2.
3.
	

Additional info:

Comment 1 Michael Fulbright 2002-06-04 14:54:48 UTC
Assigning to an engineer.

Comment 2 Jeremy Katz 2002-06-04 18:56:03 UTC
Dupe of another...  should be fixed in rawhide with the move to python2 which
properly handles int/long conversions without always having to be explicitly.

Comment 3 pkisich 2002-06-04 20:10:15 UTC
I really need to patch the current version instead of waiting for the next 
release.  I am a systems engineer for 3ware and we have a very large amount of 
customers being affected by this.  I can provide test/QA services for any 
proposed patch and equipment if necessary.  Current releases from other vendors 
do not have this issue so I am hoping this is being escalated.

Our card is the only affordable way to build high performance terrabyte 
solutions on Linux and it would help to have your support as we grow our 
presence in the enterprise server market.

Please let me know what I can do to help resolve this issue.



Comment 4 Jeremy Katz 2002-06-04 21:30:02 UTC
I don't really have a huge problem with taking a little bit of time to actually
work out what the problems are and get an update disk made for 7.3, but doing so
without hardware to test with is difficult as there are a number of places which
could get other overflows and it's hard to say which ones are real problems
without testing.

Comment 5 pkisich 2002-06-04 23:01:17 UTC
Here is a very specific assesment of the problem I hope will help:
In 2.4.18-3 kernel source code, in the file sd.c, line 1003, rscsi_disks
[i].capacity is an unsigned variable printed signed.  At > 1.0 TB, it 
overflows, causing a negative # printed.  Anaconda, in 7.3, crashes when it 
gets this negative value.  We think this file just needs to be fixed.  Let me 
know if this makes sense.

We can definitely help with the HW testing.  We have the hardware and staff to 
help the Q/A process for the patch.  

I can be reached at 650-254-5669 or 415-577-6701 (Pacific Time 8am-6pm) if you 
have any additional questions.  Thanks for taking a look at this.

Comment 6 Jeremy Katz 2002-06-10 20:03:02 UTC
Actually, that's not what anaconda is crashing out with... anaconda is
overflowing in a different way, but if the kernel has problems with it, there's
not much I can do.  Probably the best route to go is to get in touch with Sue
Denham (sdenham@redhat.com) as she handles our relations with hardware vendors.

Comment 7 Michael Fulbright 2002-12-20 17:38:25 UTC
Time tracking values updated

Comment 8 Jeremy Katz 2006-04-24 18:46:27 UTC
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.


Note You need to log in before you can comment on or make changes to this bug.